summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2009-07-17 17:48:50 +0000
committer Eric Hameleers <alien@slackware.com>2009-07-17 17:48:50 +0000
commit62237c902c8f3dfd6169fd13d50de4f4800cbbba (patch)
tree0c4201e489817684e8fcfa3c7443164681d9131b
parent3f1e00c1dce07970d1c7f2c2d74a88c36992763a (diff)
downloadasb-62237c902c8f3dfd6169fd13d50de4f4800cbbba.tar.gz
asb-62237c902c8f3dfd6169fd13d50de4f4800cbbba.tar.xz
Updated to nss 3.12.3 with nspr 4.7.4
-rwxr-xr-xmozilla-nss/build/mozilla-nss.SlackBuild224
1 files changed, 115 insertions, 109 deletions
diff --git a/mozilla-nss/build/mozilla-nss.SlackBuild b/mozilla-nss/build/mozilla-nss.SlackBuild
index b7aa034b..6dcd6671 100755
--- a/mozilla-nss/build/mozilla-nss.SlackBuild
+++ b/mozilla-nss/build/mozilla-nss.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
# $Id$
-# Copyright (c) 2005,2006,2008 Eric Hameleers, Eindhoven, NL
+# Copyright 2005,2006,2008,2009 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -38,6 +38,8 @@
# * Update to NSS 3.11.4 with NSPR 4.6.4
# 3.11.4-2: 28/dec/2008 by Eric Hameleers <alien@slackware.com>
# * Make it build on x86_64 (patch by '414N').
+# 3.12.3-2: 17/jul/2009 by Eric Hameleers <alien@slackware.com>
+# * Update
#
# Run 'sh mozilla-nss.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -47,142 +49,127 @@
PRGNAM=mozilla-nss
SRCNAM=nss
-VERSION=${VERSION:-3.11.4}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-2}
-TAG=${TAG:-alien}
-
-NSPR=4.6.4
+VERSION=${VERSION:-3.12.3}
+NSPR=${NSPR:-4.7.4}
UCDIR=$(echo ${SRCNAM}.${VERSION} | tr '.a-z' '_A-Z')
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
# Where do we look for sources?
SRCDIR=$(cd $(dirname $0); pwd)
# Place to build (TMP) package (PKG) and output (OUTPUT) the program:
-TMP=${TMP:-/tmp/build}
-PKG=$TMP/package-$PRGNAM
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PRGNAM}
OUTPUT=${OUTPUT:-/tmp}
-DOCS="$SRCDIR/faq.html"
-
-SOURCE="$SRCDIR/${SRCNAM}-${VERSION}-with-nspr-${NSPR}.tar.gz"
-SRCURL="http://ftp.mozilla.org/pub/mozilla.org/security/${SRCNAM}/releases/${UCDIR}_RTM/src/${SRCNAM}-${VERSION}-with-nspr-${NSPR}.tar.gz"
-
-##
-## --- with a little luck, you won't have to edit below this point --- ##
-##
-
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PRGNAM}.log' ERR
-# Catch unitialized variables:
-set -u
-P1=${1:-1}
-
-case "$ARCH" in
- i486) SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- s390) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- powerpc) SLKCFLAGS="-O2"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
- x86_64) SLKCFLAGS="-O2 -fPIC"
- SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
- export USE_64=1
- ;;
- athlon-xp) SLKCFLAGS="-march=athlon-xp -O3 -pipe -fomit-frame-pointer"
- SLKLDFLAGS=""; LIBDIRSUFFIX=""
- ;;
-esac
-
-# Create working directories:
-mkdir -p $TMP/tmp-$PRGNAM # location to build the source
-rm -rf $TMP/tmp-$PRGNAM/* # remove the remnants of previous build
-mkdir -p $PKG # place for the package to be built
-rm -rf $PKG/* # erase old package's contents
-mkdir -p $OUTPUT # place for the package to be saved
-rm -rf $OUTPUT/{configure,make,install,error,makepkg}-$PRGNAM.log
- # remove old log files
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+# http://ftp.mozilla.org/pub/mozilla.org/security/nss/releases/NSS_3_12_3_RTM/src/nss-3.12.3.tar.bz2
+SOURCE[0]="$SRCDIR/${SRCNAM}-${VERSION}-with-nspr-${NSPR}.tar.gz"
+SRCURL[0]="http://ftp.mozilla.org/pub/mozilla.org/security/${SRCNAM}/releases/${UCDIR}_RTM/src/${SRCNAM}-${VERSION}.tar.bz2"
+
+# http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v4.7.4/src/nspr-4.7.4.tar.gz
+SOURCE[1]="$SRCDIR/nspr-${NSPR}.tar.gz"
+SRCURL[1]="http://ftp.mozilla.org/pub/mozilla.org/nspr/releases/v${NSPR}/src/nspr-${NSPR}.tar.bz2"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ export USE_64=1
+elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv4 -mtune=xscale"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "armel" ]; then
+ SLKCFLAGS="-O2 -march=armv4t"
+ LIBDIRSUFFIX=""
+fi
# Source file availability:
-if ! [ -f ${SOURCE} ]; then
- if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '$(basename ${SOURCE})' not available yet..."
- echo "Will download file to $(dirname $SOURCE)"
- wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
- if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
- echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
- mv -f "${SOURCE}" "${SOURCE}".FAIL
+for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
+ if ! [ -f ${SOURCE[$i]} ]; then
+ if ! [ "x${SRCURL[$i]}" == "x" ]; then
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE[$i]="$OUTPUT/$(basename ${SOURCE[$i]})"
+ echo "Source '$(basename ${SOURCE[$i]})' not available yet..."
+ echo "Will download file to $(dirname $SOURCE[$i])"
+ wget -nv -T 20 -O "${SOURCE[$i]}" "${SRCURL[$i]}" || true
+ if [ $? -ne 0 -o ! -s "${SOURCE[$i]}" ]; then
+ echo "Downloading '$(basename ${SOURCE[$i]})' failed.. aborting the build."
+ mv -f "${SOURCE[$i]}" "${SOURCE[$i]}".FAIL
+ exit 1
+ fi
+ else
+ echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
exit 1
fi
- else
- echo "File '$(basename ${SOURCE})' not available... aborting the build."
- exit 1
fi
-fi
+done
-if [ "$P1" == "--download" ]; then
+if [ "$1" == "--download" ]; then
echo "Download complete."
exit 0
fi
-# --- PACKAGE BUILDING ---
+cd $TMP
+rm -rf nss-${VERSION}
+rm -rf nspr-${NSPR}
+tar xvf $SRCDIR/nss-$VERSION.tar.?z* || exit 1
+tar xvf $SRCDIR/nspr-$NSPR.tar.?z* || exit 1
+cd nss-$VERSION
-echo "++"
-echo "|| $PRGNAM-$VERSION"
-echo "++"
+# Patch out "No rule to make target -lz. Stop." error
+zcat $SRCDIR/signtool.zlib.diff.gz | patch -p1 || exit 1
-cd $TMP/tmp-$PRGNAM
-echo "Extracting the source archive(s) for $PRGNAM..."
-tar -xvf ${SOURCE}
-cd ${SRCNAM}-${VERSION}
+# NSS needs NSPR:
+ln -s ../../nspr-$NSPR/mozilla/nsprpub mozilla/nsprpub
-# Patch the makefile/perl inconsistency in Slackware 11.0's version of make:
-( cd mozilla/security/coreconf && patch -p0 < $SRCDIR/rules_mk_perl.patch
-)
-
-chown -R root.root *
-chmod -R u+w,go+r-w,a-s .
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
echo Building ...
-export LDFLAGS="$SLKLDFLAGS"
+export LDFLAGS="-lz"
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
+export BUILD_OPT=1
+export NSDISTMODE="copy"
+export NSS_USE_SYSTEM_SQLITE=1
cd mozilla/security/nss
-make BUILD_OPT=1 nss_build_all 2>&1 | tee $OUTPUT/make-${PRGNAM}.log
-cd -
-cd mozilla/security/coreconf/nsinstall
-make BUILD_OPT=1 2>&1 | tee -a $OUTPUT/make-${PRGNAM}.log
-cd -
-cd mozilla/security/nss/lib/pki1
-make BUILD_OPT=1 2>&1 | tee -a $OUTPUT/make-${PRGNAM}.log
+ make nss_build_all export
cd -
# Install all the needed stuff to the package dir:
-mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX},include/nss}
-( cd mozilla/dist/$(uname -s)*
+mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX},include/{nss,nspr}}
+cd mozilla/dist/$(uname -s)*
cp -pL bin/* $PKG/usr/bin/
cp -pL lib/* $PKG/usr/lib${LIBDIRSUFFIX}/
- cp -rpL include/* $PKG/usr/include/nss/
+ cp -rpL include/* $PKG/usr/include/nspr/
cp -rpL ../public/nss/*.h $PKG/usr/include/nss/
rm -f $PKG/usr/bin/*.so
rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
- cd -
+cd -
- cd mozilla/security/nss/cmd/smimetools
- install -m 755 smime $PKG/usr/bin/
+cd mozilla/security/nss/cmd/smimetools
+ cp -a smime $PKG/usr/bin/
+ chmod 0755 $PKG/usr/bin/smime
sed -i -e 's#/usr/local/bin#/usr/bin#g' $PKG/usr/bin/smime
- cd -
-) 2>&1 | tee $OUTPUT/install-${PRGNAM}.log
+cd -
-# Provide a pkg-config file:
+# Provide pkg-config files:
mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/$PRGNAM.pc
+cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nss.pc
prefix=/usr
exec_prefix=\${prefix}
libdir=/usr/lib${LIBDIRSUFFIX}
@@ -191,16 +178,39 @@ cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/$PRGNAM.pc
Name: NSS
Description: Network Security Services
Version: $VERSION
- Libs: -Wl,-rpath-link,/usr/lib${LIBDIRSUFFIX} -L/usr/lib${LIBDIRSUFFIX} -lssl3 -lsmime3 -lnss3 -lnspr4
- Cflags: -I/usr/include/nss
+ Requires: nspr >= $NSPR sqlite3
+ Libs: -L\${libdir} -lnss3 -lsmime3 -lssl3 -lsoftokn3 -lnssutil3
+ Cflags: -I\${includedir}
EOT
+cat <<-EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nspr.pc
+ prefix=/usr
+ exec_prefix=\${prefix}
+ libdir=/usr/lib${LIBDIRSUFFIX}
+ includedir=\${prefix}/include/nspr
+
+ Name: NSPR
+ Description: The Netscape Portable Runtime
+ Version: $NSPR
+ Libs: -L\${libdir} -lplds4 -lplc4 -lnspr4
+ Cflags: -I\${includedir}
+ EOT
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+ ln -s mozilla-nspr.pc nspr.pc
+ ln -s mozilla-nss.pc nss.pc
+)
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $SRCDIR/$(basename $0) $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a \
+ $SRCDIR/MPL-1.1.txt $SRCDIR/gpl-2.0.txt $SRCDIR/lgpl-2.1.txt $SRCDIR/faq.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $SRCDIR/$(basename $0) | sed \
+ -e "/^VERSION=/s/:-.*}/:-$VERSION}/" \
+ -e "/^ARCH=/s/:-.*}/:-$ARCH}/" \
+ -e "/^BUILD=/s/:-.*}/:-$BUILD}/" \
+ > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
@@ -212,9 +222,5 @@ cat $SRCDIR/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-cd $OUTPUT
-md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.tgz.md5
-cd -
-cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}${TAG}.txt
+/sbin/makepkg -l y -c n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz